< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package mutationtesting
  Definition Classes
    root
- DirOps
- FileOps
- Location
- MetricMutant
- Metrics
- MetricsDirectory
- MetricsFile
- MetricsResult
- MetricsResultRoot
- MutantResult
- MutantStatus
- MutationTestReport
- MutationTestResult
- Position
- Thresholds

c

mutationtesting

# MutationTestReport 

###

#### final case class MutationTestReport($schema: Option[String] = ..., schemaVersion: String = "1", thresholds: Thresholds, files: Map[String, MutationTestResult]) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MutationTestReport
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MutationTestReport(arg0: Option[String] = ..., schemaVersion: String = "1", thresholds: Thresholds, files: Map[String, MutationTestResult])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  val $schema: Option[String]
4.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  val files: Map[String, MutationTestResult]
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  val schemaVersion: String
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  val thresholds: Thresholds
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped